import Vue from 'vue'
import VueRouter from 'vue-router'
import Index from '../views/Index'
import Signup from '../views/Signup'
import Home from '../views/Home'
import Rules from '../views/Rules'
import GameChoice from '../views/GameChoice'
import GameCreate from '../views/GameCreate'
import GameJoin from '../views/GameJoin'
import Game from '../views/Game'
import Profile from '../views/Profile'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Index',
    component: Index
  },
  {
    path: '/signup',
    name: 'Signup',
    component: Signup
  },
  {
    path: '/home',
    name: 'Home',
    component: Home
  },
  {
    path: '/rules',
    name: 'Rules',
    component: Rules
  },
  {
    path: '/gameChoice',
    name: 'GameChoice',
    component: GameChoice
  },
  {
    path: '/gameCreate',
    name: 'GameCreate',
    component: GameCreate
  },
  {
    path: '/gameJoin',
    name: 'GameJoin',
    component: GameJoin
  },
  {
    path: '/game',
    name: 'Game',
    component: Game
  },
  {
    path: '/profile',
    name: 'Profile',
    component: Profile
  }
]

const router = new VueRouter({
  routes
})

export default router